com.fasterxml.jackson.databind.util

## Class PrimitiveArrayBuilder<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.util.PrimitiveArrayBuilder<T>

Direct Known Subclasses:
  ArrayBuilders.BooleanBuilder, ArrayBuilders.ByteBuilder, ArrayBuilders.DoubleBuilder, ArrayBuilders.FloatBuilder, ArrayBuilders.IntBuilder, ArrayBuilders.LongBuilder, ArrayBuilders.ShortBuilder

    public abstract class PrimitiveArrayBuilder<T>
    extends Object

Base class for specialized primitive array builders.

### Constructor Summary

Constructors
`protected` `PrimitiveArrayBuilder()`

### Method Summary

Methods
`protected abstract T` `_constructArray(int len)`
`protected void` `_reset()`
`T` `appendCompletedChunk(T fullChunk, int fullChunkLength)`
`T` `completeAndClearBuffer(T lastChunk, int lastChunkEntries)`
`T` `resetAndStart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrimitiveArrayBuilder

    protected PrimitiveArrayBuilder()

### Method Detail

#### resetAndStart

    public T resetAndStart()

#### appendCompletedChunk

    public final T appendCompletedChunk(T fullChunk,
                         int fullChunkLength)

Returns:
  Length of the next chunk to allocate

#### completeAndClearBuffer

    public T completeAndClearBuffer(T lastChunk,
                           int lastChunkEntries)

#### _constructArray

    protected abstract T _constructArray(int len)

#### _reset

    protected void _reset()